Bug 710230 - as5 plugin: The result of invoking an operation can be misleading or confused with the actual result of the operation [NEEDINFO]
Summary: as5 plugin: The result of invoking an operation can be misleading or confused...
Status: NEW
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 3.0.1
Hardware: All
OS: All
unspecified
high vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon3 jon30-sprint8
TreeView+ depends on / blocked
 
Reported: 2011-06-02 18:32 UTC by Larry O'Leary
Modified: 2018-11-27 21:38 UTC (History)
3 users (show)

(edit)
Clone Of:
: 726178 726780 (view as bug list)
(edit)
EAP_EWP 5.1.0 - admin-console
Last Closed:
jshaughn: needinfo? (ccrouch)


Attachments (Terms of Use)
Screen shot of admin-console showing confusion when invoking the Test Connection operation on a datasource (174.12 KB, image/png)
2011-06-02 18:32 UTC, Larry O'Leary
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-6260 Major Closed Re-design Admin Console Test Connection UI Usability 2013-05-06 20:46:32 UTC
Red Hat Bugzilla 754861 None None None Never

Internal Trackers: 754861

Description Larry O'Leary 2011-06-02 18:32:57 UTC
Created attachment 502598 [details]
Screen shot of admin-console showing confusion when invoking the Test Connection operation on a datasource

In some cases, the result of invoking an operation can be confused with the result of the actual operation. 

For example:

For a datasource resource, you can invoke the "Test Connection" operation. Once the operation has been submitted, the "Operation History" will indicate "Successful". This "Successful" message can easily be interrupted as the connection to the datasource was successful when in reality, the actual test of the datasource connection returned failed. 

This is confusing to operational admins looking at this UI to test a connection. In fact, this would mislead them to look at the wrong section and proceed thinking the connection has been obtained when it's not, and could possibly cause serious production ramifications. The UI should be re-worked and be more intuitive and clear.

Comment 1 Ian Springer 2011-07-27 18:36:02 UTC
The fix for this should be to improve the description of the 'testConnection' operation in the as5 plugin descriptor as follows:

    <operation name="testConnection" displayName="Test Connection" description="Test if a connection can be obtained - returns true if a connection was obtained, or false if not; NOTE: this operation will always return a status of Successful - the results of the operation must be inspected to see whether or not a connection was obtained">

Comment 2 Ian Springer 2011-07-28 16:59:14 UTC
Fixed in AdminConsole_EAP_5_1 branch - commit f1bb1cc.

This is not possible to verify directly - QE should just do an overall smoke test of the admin-console and make sure all the basics still work.

Comment 3 Ian Springer 2011-07-29 19:06:36 UTC
Fixed in master - commit 5f9ddb7.

Comment 4 Mike Foley 2011-07-29 19:15:08 UTC
discussed with ips:  verification is to be performed by EAP QA

Comment 5 Larry O'Leary 2011-08-09 20:56:38 UTC
(In reply to comment #3)
> Fixed in master - commit 5f9ddb7.

I do not see 5f9ddb7, did you mean e431028f?

Also, please note that this doesn't truly resolve this BZ. It resolves the example use-case provided but the BZ is more general then that. It seems that this confusion can exist with any operation that would have a boolean result. Instead of using the "Success" status on the operation status, maybe we should be looking at:

In Progress --> [Failed | Complete]


Or even going as far as displaying the operations result as the state. If a boolean, "True|False", if a simple object "<object>.toString()", if a complex object, "Object Name" or "See Result" link.

The idea is that we want to convey to the user, via the UI, that what they are looking at is not the result of the operation but a link that will take you to the result of the operation.

Comment 7 Ian Springer 2011-08-09 21:34:08 UTC
Yes, the commit to master should be e431028f. I have no idea where I got that other SHA from.

Comment 8 Charles Crouch 2011-10-18 12:25:09 UTC
I think we should investigate whether a still better solution is possible for 
the Test Connection case. In that particular instance we should investigate 
simply making the operation return a failure status if the internal call to the 
AS to test the connection fails.

Comment 10 JBoss JIRA Server 2012-11-13 11:15:40 UTC
Jan Martiska <jmartisk@redhat.com> updated the status of jira JBPAPP-6260 to Closed

Comment 11 JBoss JIRA Server 2012-11-13 11:15:40 UTC
Jan Martiska <jmartisk@redhat.com> made a comment on jira JBPAPP-6260

This is fixed in EAP 5.1.2.

Comment 12 Jay Shaughnessy 2013-02-26 21:43:18 UTC
"Completed" may be the best thing to do here.  Asking ccrouch for direction on this one.


Note You need to log in before you can comment on or make changes to this bug.